注册 登录  
 加关注
查看详情
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

程序员小站

J2EE丨Spring | JVM | Scala

 
 
 

日志

 
 

m2eclipse报错Unable to locate the Javac Compiler  

2012-06-10 19:23:21|  分类: java工具 |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
默认分类 2009-12-31 19:14:20 阅读346 评论0   字号:大中小 订阅
使用eclipse的maven插件遇到一个问题,憋了我好几天,刚在忽然开窍,解决了。为这么个破问题耽误几天时间真不值得,特想骂人。

本人机子的开发环境如下:
Windows XP
eclipse 3.4.1
JDK 1.5

以下说明依据本人计算机环境进行设定。请根据自己使用的JDK版本和安装路径进行适当调整。

问题:
Run as -> maven package 时,总是build failed. 错误:
                                             Unable to locate the Javac Compiler in:
                                            D:\Development\Java\jre1.5.0_16\..\lib\tools.jar
这路径不对啊!

解决办法:
Window -> Preferences -> Java -> Installed JREs, 点击"Add"按钮,选择默认的"Standard VM", 点击"Next >", 点击"JRE home"右边的"Directory"选择文件夹D:\Development\Java\jdk1.5.0_16\jre,一路“确定”,回 到"Installed JREs"界面,在刚添加的"jdk1.5.0_16"打上勾。
再选择目录树中的"Execution Environments", 点选界面左侧的"J2SE-1.5",然后在右侧点选"jdk1.5.0_16"。
重启Eclipse,一切OK了。

另外,在这之前,我还在eclipse.ini文件中加了两行(一定要加在-vmargs之前,而且-vm后面有回车):
-vm
D:\Development\Java\jdk1.5.0_16\bin\javaw.exe

写成:也可以
D:\Development\Java\jdk1.5.0_16\bin\

问题原因就是系统装了两个JRE,应该用JDK中的那个JRE.

但是有时候按照上面的配置了之后还是不行,于是把Window -> Preferences -> Java -> Installed JREs里系统默认的Java/jre删了就行了。问题解决。

参考:http://ytyt654.blog.sohu.com/105905729.html
  评论这张
 
阅读(585)| 评论(3)
推荐 转载

历史上的今天

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2018